import { Component, OnInit, Inject } from '@angular/core';
import {MatDialog, MatDialogRef, MAT_DIALOG_DATA} from '@angular/material/dialog';

@Component({
  selector: 'app-course-report-dialog',
  templateUrl: './course-report-dialog.component.html',
  styleUrls: ['./course-report-dialog.component.scss']
})
export class CourseReportDialogComponent implements OnInit {

  reportText: string = '';

  constructor(public dialogRef: MatDialogRef<CourseReportDialogComponent>, 
    @Inject(MAT_DIALOG_DATA) public data: { report: string }) {

    this.reportText = data.report;
  }

  ngOnInit(): void {
  }

  close(): void {
    this.dialogRef.close();
  }

}
